BNETD(1)

NAME
bnetd - Unix Battle.net daemon

SYNOPSIS
bnetd [-f] [-c configfile] [-d dumpfile]

DESCRIPTION
bnetd is a program that will eventually completely emulate a Blizzard Battle.net server. Currently Starcraft, Brood War, Diablo, and Warcraft II BNE are supported as clients.

It is known to work under most versions of Unix and can also be used under Windows as a win32 console application.

OPTIONS

-c --config
    Use this configuration file instead of the compiled-in default location.

-d --hexdump
    Put a hex dump of packets sent and received into the specified file.

-f --foreground
    The server normally acts as a daemon and goes into the background. This forces the server to run in the foreground.

-h --help --usage
    Print server usage information and exit.

-v --version
    Print its version number and exit.

FILES

bnetd.conf
    The main configuration file. Among other things, it specifies the locations for the other files used by the daemon.

bnmotd.txt
    The "message of the day" file. This is displayed when the user enters the first chat channel.

bnetd_default_user
    This is the default account file. The contains all default account attributes which are used when an attribute is not set on an actual account.

    channel.list This is the permanent channel list. Short names, target clients, and other attributes may be specified here.

news.txt
    The contensts of this file are printed when the /news command is used.

ad.list
    This is the ad banner list which determines which banners to display at which times. The order of display for the banners may be specified as well as the URL which they should follow when clicked.

bnban
    The IP ban file can be used to block connections from certain addresses.

bnhelp
    This file contains the the chat command help.

gametrans
    The game address translation file can be used to allow players from behind a NAT firewall to play with those outside of the firewall.

autoupdate
    This is the autoupdate MPQ archive list. It chooses which versions of which clients to update.

tos.txt
    This is the Terms Of Service file that is displayed before a user can create a new account.

icons.bni
    The icons which the client displays for players in the chat rooms.

ad000001.pcx
    This is the ad Banner. Currently, it says "Welcome to... BNETD".

NOTES
The current version is available at:

    http://www.bnetd.org/

SEE ALSO
bntrackd(1), bnproxy(1), bnchat(1), bnbot(1), bnpass(1), bnftp(1), bnetd.conf(5), bnmotd.txt(5)

AUTHORS
Ross Combs (ross@bnetd.org), Rob Crittenden (rob@bnetd.org), and Mark Baysinger (mark@bnetd.org)